class MappableClass {
  const MappableClass({
    this.caseStyle,
    this.ignoreNull,
    this.discriminatorKey,
    this.discriminatorValue,
  });

  /// The case style for the map keys
  final String? caseStyle;

  /// If true removes all map keys with null values
  final bool? ignoreNull;

  /// Property key used for type discriminators
  final String? discriminatorKey;

  /// Custom value for the discriminator property
  final dynamic discriminatorValue;
}

class MappableEnum {
  const MappableEnum({
    this.caseStyle,
  });

  /// The case style for the stringified enum values
  final String? caseStyle;
}

class MappableConstructor {
  const MappableConstructor();
}

class MappableField {
  const MappableField({
    required this.key,
  });

  /// Use this key instead of the field name
  final String key;
}
